_LWP_SELF(2) | System Calls Manual | _LWP_SELF(2)

# NAME

`_lwp_self` —
get light-weight process identification

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <lwp.h>`

lwpid_t
`_lwp_self`(void);

# DESCRIPTION

`_lwp_self`() returns the LWP ID of the calling LWP.

# ERRORS

The `_lwp_self`() function is always successful, and no return value is reserved to indicate an error.

# SEE ALSO

_lwp_create(2)

# HISTORY

The `_lwp_self`() system call first appeared in NetBSD 2.0.

January 13, 2003 | NetBSD 9.4